#!/bin/csh

# Script to make compressed tarfiles out of the Razorback tree.
# 22-Nov-2001 Andras Aszodi

if ( $0 != "admin/archive.csh" ) then
    echo "Invoke me from the Razorback root. Exiting."
    exit 99;
endif

set DISTR = `pwd`
set TAR_ROOT = `basename $DISTR`
set TARNAME = ${TAR_ROOT}.tar

# remove junk first
echo "Removing NEdit backup files..."
find . -name '*.bck' -exec rm {} \; -print

# We go one directory upstairs so that the Razorback distribution directory
# "razorback_x.y" can be archived
cd ..

# Generate list of files to be archived (not everything!)
set FILELIST = $DISTR/admin/archive_list
find ${TAR_ROOT}/admin \( -name '*.sh' -o -name '*.csh' \) -print > $FILELIST
find ${TAR_ROOT}/include \( -name '*.h' -o -name '*.hh' -o -name '*.cc' \)  -print >> $FILELIST
find ${TAR_ROOT}/c \( -name '*.[ch]' -o -name 'Makefile' \) -print >> $FILELIST
find ${TAR_ROOT}/cc \( -name '*.cc' -o -name '*.hh' -o -name 'Makefile' \) -print >> $FILELIST
find ${TAR_ROOT}/doc ${TAR_ROOT}/c ${TAR_ROOT}/cc \( -name '*.html' -o -name '*.gif' -o -name 'Doxyfile' \)  -print >> $FILELIST

# Start the archiving by the top files, command is the same
tar cvf ${TARNAME} ${TAR_ROOT}/Makefile ${TAR_ROOT}/INSTALL ${TAR_ROOT}/LICENSE ${TAR_ROOT}/copynotice.c

# How the update and the archiving from a file list is handled is system-dependent
set UNAME = `uname -s`
switch ($UNAME)
    case Linux:
    	tar rvB -f ${TARNAME} -T $FILELIST
    breaksw
    case OSF1:
    	tar -rvBf ${TARNAME} -R $FILELIST
    breaksw
    case IRIX*:
    	cat $FILELIST | tar rvBf ${TARNAME} -
    breaksw
endsw

gzip $TARNAME
ls -l $TARNAME.gz
