#!/bin/sh

# This script detects the architecture we are running on.
# It prints the result to stdout. If the architecture is unsupported or unknown,
# then "UNSUPPORTED" is printed. Currently supported architectures are:-
# "irix32": SGI IRIX, N32 ABI, MIPS-III
# "irix64": SGI IRIX, N64 ABI, MIPS-IV
# "linux": Intel X86, Linux
# "alpha": Compaq Alpha Tru64 Unix
# "solaris-sparc": Solaris 2.x (SPARC processors) PORT NOT DONE YET
# "solaris-i86": Solaris 2.x (Intel 486 and above) PORT NOT DONE YET

# 3-Sep-2001. Andras Aszodi

# Figure out operating system version
OSNAME=`uname -s`
RELEASE=`uname -r`

case "$OSNAME" in
	IRIX64 ) echo "irix64"
	;;
	IRIX* ) case "$RELEASE" in
		    6.* ) echo "irix32"
		    ;;
		    * ) echo "UNSUPPORTED"
		    ;;
	    	esac
    	;;
	Linux ) echo "linux"
	;;
	OSF1 ) echo "alpha"
	;;
###
### Port not done yet.
###
###	SunOS ) SUN_MACH=`uname -m`
###		case "$SUN_MACH" in
###			sun4* ) echo "solaris-sparc"
###			;;
###			i86pc ) echo "solaris-i86"
###			;;
###		esac
###	;;
	* ) echo "UNSUPPORTED";;
esac

