#!/bin/csh

# This script creates the header file symlinks
# in the include directory in the 
# Razorback hierarchy.
# 27-Feb-2001. Andras Aszodi

if ( $0 != "admin/makesymlink.csh" ) then
    echo "Invoke me from the Razorback root. Exiting."
    exit(99);
endif

set RAZORBACK_ROOT = `pwd`

# make the C include directory
mkdir -p ${RAZORBACK_ROOT}/include
echo "Creating C header symlinks in " ${RAZORBACK_ROOT}/include " ..."
cd ${RAZORBACK_ROOT}/include
foreach DIR ( `ls -d ../c/*` )
    set DIRNAME = `basename $DIR`
    if ( ! -d $DIR ) then 
    	echo $DIR "skipped"
    	continue
    endif
    foreach FILE ( `ls ../c/${DIRNAME}/incl/*.h` )
    	set BASENAME = `basename $FILE`
	if ( -l ${BASENAME} ) then
	    rm ${BASENAME}
	endif
	ln -s ../c/${DIRNAME}/incl/$BASENAME $BASENAME
	echo $BASENAME linked
    end
end

# make the C++ include directory
echo "Creating C++ header symlinks in " ${RAZORBACK_ROOT}/include " ..."
foreach DIR ( `ls -d ../cc/*` )
    set DIRNAME = `basename $DIR`
    if ( ! -d $DIR ) then 
    	echo $DIR "skipped"
    	continue
    endif
    
    # non-template C++ header files
    foreach FILE ( `ls ../cc/${DIRNAME}/inccl/*.hh` )
    	set BASENAME = `basename $FILE`
	if ( -l ${BASENAME} ) then
	    rm ${BASENAME}
	endif
	ln -s ../cc/${DIRNAME}/inccl/$BASENAME $BASENAME
	echo $BASENAME linked
    end

    # template C++ files: interface and implementation
    foreach FILE ( `ls ../cc/${DIRNAME}/templ/*.hh ../cc/${DIRNAME}/templ/*.cc` )
    	set BASENAME = `basename $FILE`
	if ( -l ${BASENAME} ) then
	    rm ${BASENAME}
	endif
	ln -s ../cc/${DIRNAME}/templ/$BASENAME $BASENAME
	echo $BASENAME linked
    end
end

unset BASENAME
unset RAZORBACK_ROOT
