#ifndef SQUAREXC_HEADER
#define SQUAREXC_HEADER

// ==== Squarexc.hh ====

/**
 * \file Squarexc.hh
 * Exception class for square matrix exceptions.
 */

// 19-Sep-2001. Andras Aszodi

// ---- STANDARD HEADERS ----

#include <stdlib.h>
#include <string.h>

#ifdef _STANDARD_C_PLUS_PLUS
#include <iostream>
#include <iomanip>
using namespace std;
#else
#include <iostream.h>
#include <iomanip.h>
#endif

// ---- MODULE HEADERS ----

#include"Rangedimexc.hh"

// ==== CLASSES ====

namespace RazorBack {

/**
 * Squarexc_: this exception is thrown when an operation is 
 * performed on a general rectangular matrix which is permitted
 * for square matrices only (such as adjusting the main diagonal).
 * Stores the row and col sizes of the matrix which were unequal.
 */
class Squarexc_: public Dimexc_
{
    // methods
    public:
    
    /**
     * Constructs a square matrix exception thrown by Thnm. This indicates that
     * a square matrix was expected but a D1xD2 matrix was provided instead.
     * F is the fatality indicator.
     */
    Squarexc_(const char *Thnm, unsigned int D1, unsigned int D2, bool F=false); 
    
    private:
    Squarexc_();    // disallow default ctor
};
// END OF CLASS Squarexc_

} // RazorBack

// ==== END OF HEADER Squarexc.hh ====

#endif	// SQUAREXC_HEADER
