// ==== METHODS Squarexc.cc ====

// Exception classes for range and dimension mismatch exceptions.
// All derived from the Utilsexc_ base exception class for my utilities.

// 8-Oct-2001. Andras Aszodi

// ---- MODULE HEADER ----

#include"Squarexc.hh"
using namespace RazorBack;

// ==== METHODS ====

/**
 * Constructs a square matrix exception thrown by Thnm. This indicates that
 * a square matrix was expected but a D1xD2 matrix was provided instead.
 * F is the fatality indicator.
 */
Squarexc_::Squarexc_(const char *Thnm, unsigned int D1, unsigned int D2, bool F): 
	Dimexc_(Thnm, D1, D2, F)
{
    ostringstream Ost;
    print_prefix(Ost);
    Ost<<"Illegal operation on non-square ["
	<<bad_dim(1)<<"x"<<bad_dim(2)<<"] matrix";
    Message=Ost.str();
}

// ==== END OF METHODS Squarexc.cc ====
